package com.gingersoft.gsa.cloud.function.jump;

import android.content.Context;
import android.content.Intent;

/**
 * @author : bin
 * @create date: 2020-11-26
 * @update date: 2020-11-26
 * @description:
 */
public class IntentJumpStrategy implements ActivityJumpStrategy {

    @Override
    public void actionToJumpPage(Context context, ActivityJumpBean jumpBean) {
        if (jumpBean.getTagertAcitivty() != null) {
            Intent intent = new Intent(context, jumpBean.getTagertAcitivty());
            context.startActivity(intent);
        }
    }
}
